This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 236175 - securitylevel config dialog won't disable firewall
Summary: securitylevel config dialog won't disable firewall
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-12 11:03 UTC by Steven Op de beeck
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 13:28:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steven Op de beeck 2007-04-12 11:03:49 UTC
Description of problem:

After succeeding in enabling the firewall through system-config-securitylevel,
the same tool won't allow me to disable it again. Nor pressing 'apply' or 'ok'
will have disabled the firewall. Closing and reopening the config-tool shows the
firewall is still enabled. It is also effectively enabled, as iptables -L shows.


Version-Release number of selected component (if applicable):
system-config-securitylevel-1.7.0-1.fc7

How reproducible:
Always...

Steps to Reproduce:
1. open system-config-securitylevel
2. disable Firewall (enable first if not enabled, and reopen dialog)
3. press apply or ok
4. reepon system-config-securitylevel
  
Actual results:
firewall still shows being enabled.
and effectively is.

Expected results:
firewall should be disabled.

Additional info:
selinux configuration does seem to be effective from the
system-config-securitylevel tool.

Comment 1 Matthew Miller 2007-04-12 12:58:01 UTC
Although it's far from obvious, all Fedora 7 test bugs should be filed against
"devel", not "test#". Moving this, so it doesn't get lost.

This has been a bulk message. We return you now to your regularly scheduled
program, already in progress.

Comment 2 Chris Jones 2007-07-14 12:33:14 UTC
Im seeing this bug too on a freshly installed and updated F7 machine, had to resort to the following to 
disable the firewall.

iptables -D INPUT -j RH-Firewall-1-INPUT

Comment 3 Thomas Woerner 2007-07-31 13:28:12 UTC
Fixed in rawhide in package system-config-securitylevel-1.7.0-5.fc8.


Note You need to log in before you can comment on or make changes to this bug.